var EnemyCharacterClass_Apache = function(stage, args){
	EnemyCharacterClass_Apache.base.apply(this, [stage, [["apache1.png","apache2.png","apache3.png"]]]);

	this.size.x = 192;
	this.size.y = 192;
        this.antigravity = 700 / GameManager.prototype.tickPerSecond ;
        
	this.interval=2;
	this.chasingRange = 600;
	this.fightingRange = 200;
	
	this.movingVelocity = 130;
	this.max_HP = 80;
	this.HP = this.max_HP;
	this.isWeaponed = true;
	
	stage.addStageObject(this);
}.extend(EnemyCharacterClass, {
	className: "EnemyCharacterClass_Apache",

	fire: function()
	{
		if(this.lastFireTick < this.ownerStage.manager.tickCount - this.fireTickInterval){
			var f = new FireObjectClass(this.ownerStage, [["bullet.png"]]);
			f.maxBoundCount = 1;
			f.size.x = 10;
			f.size.y = 10;
			f.fire(this, 192,192);
			this.fireTickInterval=20;
		this.lastFireTick=this.ownerStage.manager.tickCount;
		}
	},
});